<?php
/**
 * @package FORTVISION
 */
/*
Plugin Name: FORTVISION Platform
Description: The FORTVISION Lead-Gen Interactive Content Suite helps you amplify your message through awesome, engaging, interactive formats and unique placements that enhance, not distract, the user experience. No coding required!
Version: 1.2
Author: FORTVISION
Author URI: https://www.fortvision.com
License: GPLv2 or later
Text Domain: fortvision-platform
*/

// Enqueue stylesheet
function fortvision_style() {
  wp_enqueue_style('fortvision-styles', plugins_url('/css/fortvision.css', __FILE__), false, '1.1.0', 'all');
}
add_action('admin_enqueue_scripts', 'fortvision_style');


// Make sure we don't expose any info if called directly
if ( !function_exists( 'add_action' ) ) {
	echo 'Hi there!  I\'m just a plugin, not much I can do when called directly.';
	exit;
}

// Admin Page For Publisher ID
add_action('admin_menu', function() {
    add_options_page( 'FORTVISION Settings', 'FORTVISION Platform', 'manage_options', 'fortvision-platform', 'fortvision_plugin_page' );
});


add_action( 'admin_init', function() {
    register_setting( 'fortvision-plugin-settings', 'publisher_id' );
});



function fortvision_plugin_page() {
    ?>
    <div class="wrap">
        <div class="fortvision-admin">
        	<div class="fortvision-admin-inner">
        		<div class="fortvision-header">
        			<div class="fortvision-header-inner">
        				<div class="fortvision-logo"><a href="https://my.fortvision.com/"><img src="<?php echo plugins_url('/images/logo-white.png', __FILE__);?>" alt="FORTVISION"></a></div>
        				<div class="fortvision-header-text"><?php _e( 'Settings', 'fortvision-platform' );?></div>
        			</div>
        		</div>
        		<div class="fortvision-publisher-form">
                    <?php if(get_option('publisher_id')){?>
                    <div class="pubid_activate_msg"><span class="dashicons dashicons-yes"></span> Publisher ID Activated</div>
                    <?php } ?>
        			<form action="options.php" method="post">
			            <?php
			            settings_fields( 'fortvision-plugin-settings' );
			            do_settings_sections( 'fortvision-plugin-settings' );
			            ?>
                        <div class="fortvision_content">
                            <h3>Thanks for installing!</h3>
                            <p>Now, head over to FORTVISION and create a Site Owner ID. You will receive your Publisher ID that you need to add below to start generating campaigns.</p>
                        </div>
			            <div class="fortvision-form-control">
			            	<label for="publisher_id"><?php _e( 'Publisher ID:', 'fortvision-platform' );?></label>
			            	<input type="text" placeholder="12XX38" name="publisher_id" value="<?php echo esc_attr( get_option('publisher_id') ); ?>" size="50" />
			            </div>
			            <div class="fortvision-form-control fortvision-form-control-submit">
			            	<p class="fortvision-support"><?php _e( 'If you have any questions,<br>please contact our <a href="mailto:support@fortvision.com">support team</a>.', 'fortvision-platform' );?></p>
                            <?php submit_button(); ?>
			            </div>
			        </form>
        		</div>
        	</div>
        </div>
    </div>
    <?php
}

// Add FortVision tracking code in footer
add_action('wp_footer', function () {
	if (get_option('publisher_id')) { ?>
		<script type='application/javascript'>
            console.log('all ok');
            var element = document.createElement('script');
            element.setAttribute('type', 'application/javascript');
            element.setAttribute('src', 'https://resources.fortvision.com/staticfiles/fb-web/js/fortvision-fb-web.js');
            element.setAttribute('publisher_id', <?php echo get_option('publisher_id');?>);
            element.setAttribute('async', '');
            document.body.appendChild(element);
        </script>
	<?php }
},999999);